UpshiftDocs
REST APIPublic API

Points

Points balances, pool deposits, referral earnings, and deposit streaks for a user address.

Get Points By User

GET
/points/{user_address}

Path Parameters

user_addressUser Address

Response Body

curl -X GET "https://api.upshift.finance/v1/points/string"
{
  "totalPoints": 0,
  "referralEarnings": 0,
  "pools": {
    "property1": {
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0,
      "totalPoints": 0,
      "hasPendingRewards": false
    },
    "property2": {
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0,
      "totalPoints": 0,
      "hasPendingRewards": false
    }
  },
  "external": {
    "property1": {
      "protocol": "string",
      "externalName": "string",
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0,
      "totalPoints": 0,
      "multiplier": 1
    },
    "property2": {
      "protocol": "string",
      "externalName": "string",
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0,
      "totalPoints": 0,
      "multiplier": 1
    }
  },
  "referrals": {
    "property1": {
      "totalPoints": 0,
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0
    },
    "property2": {
      "totalPoints": 0,
      "amountDepositedInUsd": 0,
      "nativeAmountDeposited": 0
    }
  },
  "topVault": {
    "lifetimeDeposit": 0,
    "address": "string"
  },
  "streak": 0,
  "daily_streak_points": 0,
  "manual_points": 0,
  "rank": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}